HINO Bugs - Bug #1984

Sevice attendance finger hanya mengambil beberapa data attendance saja padahal untuk status

synced nya sudah 1
02/03/2023 10:17 AM - Muhammad Bintar

Status: Revise

Priority: Urgent

Assignee: Muhammad Bintar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

02/03/2023
02/09/2023
0%

0.00 hour
0.00 hour

Description

contoh employeeid 00000562

data pada master attendance

data pada database powerapps staging

03/26/2025

MINOVAIS-SERVERN...- dbo.EmployeeHF [ IR R S O [ LA T LR ol S0 Cuery1.5ql - not connected
Column Alias Table Outp... Sort Type Sort Order Filter Or... Or...
StartDate PHRPADD1S LIKE '202212...
EndDate PHRPADDS
EmployeelD PHRPADD19 ‘00000562
\ oot Tme OHRPAOTS
EndTime PHRPADD19
AttendanceTy... PHRPADD1S
SELECT TOP (200) StartDate, EndDate, EmployeelD, StartTime, EndTime, AttendanceType, Motes, CreateBy, CreateDate, ChangeBy, ChangeDate
FROM PHRPADD19
WHERE (EmployeelD = 'D0000562") AND (StartDate LIKE '202212%")
StartDate EndDate EmployeelD StartTime EndTime AttendanceType Motes CreateBy
20221201 20221201 00000562 0818 1733 1100 FINGER
4 0221202 20221219 00000562 0830 1735 1100 applikasi absen ... 00000362
20221220 20221219 00000562 0901 1744 1100 izin telat ada ke... 00000362
20221220 20221220 00000562 0823 1755 1100 FINGER
20221221 20221221 00000562 08z7 1731 1100 FINGER
20221222 20221222 00000562 08z7 1737 1100 FINGER
20221223 20221223 00000562 0828 1734 1100 FINGER
20221226 20221226 00000562 0828 1736 1100 FINGER
20221227 20221227 00000562 0833 1732 1100 FINGER
20221228 20221228 00000562 0828 1732 1100 FINGER
20221229 20221229 00000562 0822 1735 1100 FINGER
20221230 20221230 00000562 0829 1732 1100 FINGER
N NULL NULL NULL NULL NULL NULL NULL NULL
£
Dear tim developer, mohon support nya untuk perbaikan pada service finger HINO dimana pada saat service berjalan, terdapat
beberapa employee yang tidak insert data dari database staging(MinovaAbsen) ke dalam sistem database padahal status synced
nya sudah 1 yang artinya data sudah ditarik dari database powerapps dan terinsert ke master data attendance.

CreateDate =
20221202010504
20230103123425
20230103123351
20221221010503
20221222010504
20221223010504
20221224010504
20221227010504
202212228010504
20221229010504
20221230010504
20221231010504
NULL N
SELECT TOP (200) user_id, tanggal, dept_id, jam_awal, jam_akhir, business_flag, cvertime_flag, synced, SourceType, AttendanceType
FROM attendance_karyawan
WHERE {user_id = '00000562")

user_id tangaqal dept_id jarm_awal jam_akhir business_flag overtime_flag synced Son”
00000362 2022-12-02 00:00:00.000 2022-12-02 08:4... 2022-12-0217:4... NULL 1 P&
00000362 2022-12-05 00:00:00.000 2022-12-05 08:1... 2022-12-0317:4... NULL 1 P&
00000362 2022-12-06 00:00:00.000 2022-12-0608:2... 2022-12-06 17:3... NULL 1 P&
00000362 2022-12-07 00:00:00.000 2022-12-07 08:1... 2022-12-07 17:4... NULL 1 P&
00000362 2022-12-08 00:00:00.000 2022-12-08 08:1... 2022-12-08 17:3... NULL 1 P&
00000362 2022-12-09 00:00:00.000 2022-12-09 08:1... 2022-12-0917:3... NULL 1 pa
00000362 2022-12-12 00:00:00.000 2022-12-12 08:0... 2022-12-1217:3... NULL 1 pa
00000362 2022-12-13 00:00:00.000 2022-12-13 08:1... 2022-12-1317:4... NULL 1 P&
00000362 2022-12-14 00:00:00.000 2022-12-14 08:2... 2022-12-1417:4... NULL 1 pa
00000362 2022-12-15 00:00:00.000 2022-12-1508:1... 2022-12-1517:4... NULL 1 pa
00000362 2022-12-16 00:00:00.000 2022-12-1608:1... 2022-12-1617:3... NULL 1 Pa
00000562 2022-12-19 00:00:00.000 2022-12-1910:1... 2022-12-1917:4... NULL 1 P&
00000562 2022-12-20 00:00:00.000 2022-12-2008:2... 2022-12-2017:5... NULL 1 P&
00000562 2022-12-21 00:00:00.000 2022-12-2108:2... 2022-12-2117:5... NULL 1 P&
00000362 2022-12-22 00:00:00.000 2022-12-22 08:2... 2022-12-2217:3... NULL 1 P&
00000362 2022-12-23 00:00:00.000 2022-12-23 08:2... 2022-12-2317:3... NULL 1 P&
00000362 2022-12-26 00:00:00.000 2022-12-2608:2... 2022-12-2617:3... NULL 1 P&
00000362 2022-12-27 00:00:00.000 2022-12-27 08:3... 2022-12-2717:3... NULL 1 P& ]
< >
employee tersebut sudah ada data nya pada staging namun tidak ke transfer ke database.

MinovaES HINO Prod
remote.minovais.com:61120

remote desktop server 105
remote.minovais.com:3392

database sql server 2019
remote.minovais.com , 1445\MSSQLSERVER2019

parameter yang lain yang ada di SVCTM

MINOVAIS-SERVER...dbo PCMEPSVCTM & 2 WIS Tdt A 0T 3o AW [Tl 2l o [ = ] SOLQuery2.sql - re..HINO_Prod (sa (78))"
Data Walue

> 9

connection_stri.. Data Source=10.1.1.42;Initial Catalog=MinovaAbsen; User ID=sa;Password=MINOV@1s;
date_format NULL

field_date_in 1

field_date_in2 CHECKTIME

field_date_out 1

field_emp_id 0

field_ernp_id2 EmployeelD

field_time_in 3
field time gut 4
guery_string SELECT * FROM @table_narme WHERE tanggal > (SELECT DATEADD(day,-80,GETDATE()) and synced !='1'
SOUrCE_Type db
table_name dbo.attendance_karyawan
time_format NULL
x MNULL NULL
History

#1 - 02/03/2023 10:29 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from High to Urgent

#2 - 02/03/2023 01:56 PM - Muhammad Bintar
- Status changed from Assigned to Revise

- Assignee changed from Saswanto Tampan to Muhammad Bintar
